This week's giveaway is in the Android forum.
We're giving away four copies of Android Security Essentials Live Lessons and have Godfrey Nolan on-line!
See this thread for details.
The moose likes Beginning Java and the fly likes compilation problem Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Android Security Essentials Live Lessons this week in the Android forum!
JavaRanch » Java Forums » Java » Beginning Java
Bookmark "compilation problem" Watch "compilation problem" New topic
Author

compilation problem

John Bushell
Greenhorn

Joined: Jun 12, 2002
Posts: 16
I am running the JRE version 1.3.1 and have the JSDK version 1.4.0 installed (excluding JRE).
when I conduct a java -version, I get the JRE version ... OK no problem yet!
but when I try to compile a simple applet that imports swing and extends JApplet, I get a compilation error stating that the swing class can't be found?
The class path references the correct classes.zip file (win NT unfortunately)
any troubleshooting tips would be gratefully received!


thanks a bunch for your help<br />John
John Bushell
Greenhorn

Joined: Jun 12, 2002
Posts: 16
Not to worry, I've found the problem .....
a funny with NT!!
meera sood
Ranch Hand

Joined: Dec 18, 2001
Posts: 50
hi!
do let us also know the solution
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: compilation problem
 
Similar Threads
authentication and signed applet: differences between JRE 1.3.1_09 and JRE 1.3.1_07
K&B doubt related to Shadowing...
Netbeans 5 beta - Swing jar problem
Class compilation question
Unable to figure out which JRE Lib is being used by Ant.